<?php

namespace Drupal\free_fasty\Form\Config;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Implemented Class FreeFastyConfig.
 *
 * @package Drupal\free_fasty\Form\Config
 */
class FreeFastyConfig extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'free_fasty.settings',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'free_fasty_config_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('free_fasty.settings');
    $fasty_web_premium_checkbox = $config->get('fasty_web_checkbox');
    $form['fasty_web_checkbox'] = [
      '#type' => 'checkbox',
      '#title' => t('Enable Fasty Service ?'),
      '#size' => 10,
      '#maxlength' => 255,
      '#default_value' => $fasty_web_premium_checkbox,
      '#description' => '<p>' . t('Then please check the checkbox.') . '</p>',
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('free_fasty.settings')
      ->set('fasty_web_checkbox', $form_state->getValue('fasty_web_checkbox'))
      ->save();
    parent::submitForm($form, $form_state);
  }

}
